let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.11";
    rev = ''
      884e3b68be02ff9d61a042bc9bd9dd2a358f95da'';
  };
in {
  inherit nixpkgs;
  nixos = nixpkgs // {suffix = "/nixos";};
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = ''
      7c656856e9eb863c4d21c83e2601dd77f95f6941'';
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = ''
      f521f4613355f8628fe378dad4c41d3fd8886966'';
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = ''
      fc46a9d1e2b30321a2497e413eb1562c9cfda5b6'';
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.11";
    rev = ''
      83110c259889230b324bb2d35bef78bf5f214a1f'';
  };
}
